


ServerEvents.recipes(event => { //listen for the "recipes" server event.
    console.log('Extruding recipes')
    event.recipes.createMechanicalExtruderExtruding(
        Item.of('minecraft:andesite'),
        [Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')])
        .withCatalyst('minecraft:polished_andesite')

    event.recipes.createMechanicalExtruderExtruding(
            Item.of('minecraft:netherrack'),
            [Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')])
            .withCatalyst('minecraft:netherrack')
    event.recipes.createMechanicalExtruderExtruding(
            Item.of('minecraft:end_stone'),
            [Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')])
            .withCatalyst('minecraft:end_stone')
        event.recipes.createMechanicalExtruderExtruding(
                Item.of('minecraft:deepslate'),
                [Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')])
                .withCatalyst('minecraft:deepslate')

	event.recipes.createMechanicalExtruderExtruding(
        Item.of('minecraft:soul_sand'),[Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')]).withCatalyst('minecraft:soul_soil')

        event.recipes.createMechanicalExtruderExtruding(
                Item.of('ad_astra:moon_sand'),[Fluid.of('minecraft:lava'),Fluid.of('minecraft:water')]).withCatalyst('ad_astra:moon_sand')


	
    
  })
